summaryrefslogtreecommitdiffstats
path: root/source/d/llvm
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/llvm')
-rwxr-xr-xsource/d/llvm/llvm.SlackBuild5
-rw-r--r--source/d/llvm/llvm.polly.hack.diff12
-rw-r--r--source/d/llvm/llvm.url40
3 files changed, 36 insertions, 21 deletions
diff --git a/source/d/llvm/llvm.SlackBuild b/source/d/llvm/llvm.SlackBuild
index 0df856d8a..81a18569f 100755
--- a/source/d/llvm/llvm.SlackBuild
+++ b/source/d/llvm/llvm.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=llvm
VERSION=${VERSION:-$(echo llvm-*.tar.xz | rev | cut -f 4- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -113,6 +113,9 @@ cd ../
# Support GCC built for i586-slackware-linux:
zcat $CWD/clang.toolchains.i586.triple.diff.gz | patch -p1 --verbose || exit 1
+# Hack to fix build with polly. Maybe we should just not use polly... ?
+zcat $CWD/llvm.polly.hack.diff.gz | patch -p1 --verbose || exit 1
+
# As of clang-tools-extra-7.0.0 we get the following error on i586 or i686:
# CMakeFiles/clangDaemon.dir/Trace.cpp.o:Trace.cpp:function std::unique_ptr<clang::clangd::trace::(anonymous namespace)::JSONTracer::JSONSpan, std::default_delete<clang::clangd::trace::(anonymous namespace)::JSONTracer::JSONSpan> >::~unique_ptr(): error: undefined reference to '__atomic_load_8'
# Attempts to try to fix this have failed here, so for now we will not build
diff --git a/source/d/llvm/llvm.polly.hack.diff b/source/d/llvm/llvm.polly.hack.diff
new file mode 100644
index 000000000..eb607ca2b
--- /dev/null
+++ b/source/d/llvm/llvm.polly.hack.diff
@@ -0,0 +1,12 @@
+--- ./projects/polly/lib/CMakeLists.txt.orig 2020-03-23 10:01:02.000000000 -0500
++++ ./projects/polly/lib/CMakeLists.txt 2020-03-24 14:47:14.602756953 -0500
+@@ -139,7 +139,8 @@
+ )
+
+ # Polly-ACC requires the NVPTX target to be present in the executable it is linked to
+- set_property(TARGET bugpoint APPEND PROPERTY LINK_LIBRARIES LLVMTarget)
++ # Randomly commented to fix build lol
++ #set_property(TARGET bugpoint APPEND PROPERTY LINK_LIBRARIES LLVMTarget)
+ endif ()
+
+ # Create a loadable module Polly.so that can be loaded using
diff --git a/source/d/llvm/llvm.url b/source/d/llvm/llvm.url
index af8426744..14e4fdc37 100644
--- a/source/d/llvm/llvm.url
+++ b/source/d/llvm/llvm.url
@@ -1,21 +1,21 @@
-https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/llvm-9.0.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/clang-9.0.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/clang-tools-extra-9.0.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/compiler-rt-9.0.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/lldb-9.0.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/openmp-9.0.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/polly-9.0.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/libcxx-9.0.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/libcxxabi-9.0.1.src.tar.xz
-https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/lld-9.0.1.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-10.0.0/llvm-10.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-10.0.0/clang-10.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-10.0.0/clang-tools-extra-10.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-10.0.0/compiler-rt-10.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-10.0.0/lldb-10.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-10.0.0/openmp-10.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-10.0.0/polly-10.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-10.0.0/libcxx-10.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-10.0.0/libcxxabi-10.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-10.0.0/lld-10.0.0.src.tar.xz
-#http://llvm.org/releases/9.0.1/llvm-9.0.1.src.tar.xz
-#http://llvm.org/releases/9.0.1/clang-9.0.1.src.tar.xz
-#http://llvm.org/releases/9.0.1/clang-tools-extra-9.0.1.src.tar.xz
-#http://llvm.org/releases/9.0.1/compiler-rt-9.0.1.src.tar.xz
-#http://llvm.org/releases/9.0.1/lldb-9.0.1.src.tar.xz
-#http://llvm.org/releases/9.0.1/openmp-9.0.1.src.tar.xz
-#http://llvm.org/releases/9.0.1/polly-9.0.1.src.tar.xz
-#http://llvm.org/releases/9.0.1/libcxx-9.0.1.src.tar.xz
-#http://llvm.org/releases/9.0.1/libcxxabi-9.0.1.src.tar.xz
-#http://llvm.org/releases/9.0.1/lld-9.0.1.src.tar.xz
+#http://llvm.org/releases/10.0.0/llvm-10.0.0.src.tar.xz
+#http://llvm.org/releases/10.0.0/clang-10.0.0.src.tar.xz
+#http://llvm.org/releases/10.0.0/clang-tools-extra-10.0.0.src.tar.xz
+#http://llvm.org/releases/10.0.0/compiler-rt-10.0.0.src.tar.xz
+#http://llvm.org/releases/10.0.0/lldb-10.0.0.src.tar.xz
+#http://llvm.org/releases/10.0.0/openmp-10.0.0.src.tar.xz
+#http://llvm.org/releases/10.0.0/polly-10.0.0.src.tar.xz
+#http://llvm.org/releases/10.0.0/libcxx-10.0.0.src.tar.xz
+#http://llvm.org/releases/10.0.0/libcxxabi-10.0.0.src.tar.xz
+#http://llvm.org/releases/10.0.0/lld-10.0.0.src.tar.xz